Subject: Re: Problems building lesstif
From: [email-masked] (Stipe Tolj)

15 Jan 1999 04:15:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> I've tried building lesstif 0.87.0 with Cygwin. When I run "sh configure
> --with-x-includes=/usr/X11r6.4/include --with-x-libraries=/usr/X11r6.4/lib"
> configure tells me that it can't find the linker ld. I have C:\cygnus\cygwin-
> b20\H-i586-cygwin32\bin in my path. I also have it mounted as /bin. Typing "ld
> -v" prints out the version information so I know ld is in the path (the
> Windows path, anyway). Why can't configure find ld?

configure can't see your ld.exe since ld.exe returns a DOS style path. I
had the
same problem running the configure script of mysql-3.22.x.

Simply search the text reported as error message within the configure
file and
look for a switch argument dealing with paths. Looks like this in the
mysql config
file:

....
  case "$ac_prog" in
  # Accept absolute paths.
  # Cygwin32 seems to need the C:\\* part since the previous does not
work
  /* | A-Za-z:\\* | C:\\* | c:\\*)
    test -z "$LD" && LD="$ac_prog"
    ;;
  "")
    # If it fails, then pretend we aren't using GCC.
    ac_prog=ld
    ;;
  *)
    # If it is relative, then search for the first ld in PATH.
    with_gnu_ld=unknown
    ;;
  esac
....

This should fix your configure problem.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".